import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppStream::AppBlockBuilder.
 */
export declare function getAppBlockBuilder(args: GetAppBlockBuilderArgs, opts?: pulumi.InvokeOptions): Promise<GetAppBlockBuilderResult>;
export interface GetAppBlockBuilderArgs {
    /**
     * The name of the app block builder.
     */
    name: string;
}
export interface GetAppBlockBuilderResult {
    /**
     * The access endpoints of the app block builder.
     */
    readonly accessEndpoints?: outputs.appstream.AppBlockBuilderAccessEndpoint[];
    /**
     * The ARN of the app block builder.
     */
    readonly arn?: string;
    /**
     * The time when the app block builder was created.
     */
    readonly createdTime?: string;
    /**
     * The description of the app block builder.
     */
    readonly description?: string;
    /**
     * The display name of the app block builder.
     */
    readonly displayName?: string;
    /**
     * Indicates whether default internet access is enabled for the app block builder.
     */
    readonly enableDefaultInternetAccess?: boolean;
    /**
     * The ARN of the IAM role that is applied to the app block builder.
     */
    readonly iamRoleArn?: string;
    /**
     * The instance type of the app block builder.
     */
    readonly instanceType?: string;
    /**
     * The platform of the app block builder.
     *
     * *Allowed values* : `WINDOWS_SERVER_2019`
     */
    readonly platform?: string;
    /**
     * The tags of the app block builder.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The VPC configuration for the app block builder.
     */
    readonly vpcConfig?: outputs.appstream.AppBlockBuilderVpcConfig;
}
/**
 * Resource Type definition for AWS::AppStream::AppBlockBuilder.
 */
export declare function getAppBlockBuilderOutput(args: GetAppBlockBuilderOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAppBlockBuilderResult>;
export interface GetAppBlockBuilderOutputArgs {
    /**
     * The name of the app block builder.
     */
    name: pulumi.Input<string>;
}
