import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * A billing view is a container of cost & usage metadata.
 */
export declare function getBillingView(args: GetBillingViewArgs, opts?: pulumi.InvokeOptions): Promise<GetBillingViewResult>;
export interface GetBillingViewArgs {
    arn: string;
}
export interface GetBillingViewResult {
    readonly arn?: string;
    readonly billingViewType?: enums.billing.BillingViewType;
    /**
     * The time when the billing view was created.
     */
    readonly createdAt?: number;
    readonly dataFilterExpression?: outputs.billing.DataFilterExpressionProperties;
    readonly ownerAccountId?: string;
    /**
     * An array of key-value pairs associated to the billing view being created.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The time when the billing view was last updated.
     */
    readonly updatedAt?: number;
}
/**
 * A billing view is a container of cost & usage metadata.
 */
export declare function getBillingViewOutput(args: GetBillingViewOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBillingViewResult>;
export interface GetBillingViewOutputArgs {
    arn: pulumi.Input<string>;
}
