import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A distribution tells CloudFront where you want content to be delivered from, and the details about how to track and manage content delivery.
 */
export declare function getDistribution(args: GetDistributionArgs, opts?: pulumi.InvokeOptions): Promise<GetDistributionResult>;
export interface GetDistributionArgs {
    /**
     * The distribution's identifier. For example: `E1U5RQF7T870K0` .
     */
    id: string;
}
export interface GetDistributionResult {
    /**
     * The distribution's configuration.
     */
    readonly distributionConfig?: outputs.cloudfront.DistributionConfig;
    /**
     * The domain name of the resource, such as `d111111abcdef8.cloudfront.net` .
     */
    readonly domainName?: string;
    /**
     * The distribution's identifier. For example: `E1U5RQF7T870K0` .
     */
    readonly id?: string;
    /**
     * A complex type that contains zero or more ``Tag`` elements.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * A distribution tells CloudFront where you want content to be delivered from, and the details about how to track and manage content delivery.
 */
export declare function getDistributionOutput(args: GetDistributionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDistributionResult>;
export interface GetDistributionOutputArgs {
    /**
     * The distribution's identifier. For example: `E1U5RQF7T870K0` .
     */
    id: pulumi.Input<string>;
}
