import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Cognito::LogDeliveryConfiguration
 */
export declare function getLogDeliveryConfiguration(args: GetLogDeliveryConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetLogDeliveryConfigurationResult>;
export interface GetLogDeliveryConfigurationArgs {
    /**
     * A user pool ID, for example `us-east-1_EXAMPLE` .
     */
    id: string;
}
export interface GetLogDeliveryConfigurationResult {
    /**
     * A user pool ID, for example `us-east-1_EXAMPLE` .
     */
    readonly id?: string;
    /**
     * A logging destination of a user pool. User pools can have multiple logging destinations for message-delivery and user-activity logs.
     */
    readonly logConfigurations?: outputs.cognito.LogDeliveryConfigurationLogConfiguration[];
}
/**
 * Resource Type definition for AWS::Cognito::LogDeliveryConfiguration
 */
export declare function getLogDeliveryConfigurationOutput(args: GetLogDeliveryConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLogDeliveryConfigurationResult>;
export interface GetLogDeliveryConfigurationOutputArgs {
    /**
     * A user pool ID, for example `us-east-1_EXAMPLE` .
     */
    id: pulumi.Input<string>;
}
