import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::UserHierarchyStructure
 */
export declare function getUserHierarchyStructure(args: GetUserHierarchyStructureArgs, opts?: pulumi.InvokeOptions): Promise<GetUserHierarchyStructureResult>;
export interface GetUserHierarchyStructureArgs {
    /**
     * The identifier of the User Hierarchy Structure.
     */
    userHierarchyStructureArn: string;
}
export interface GetUserHierarchyStructureResult {
    /**
     * Information about the hierarchy structure.
     */
    readonly userHierarchyStructure?: outputs.connect.UserHierarchyStructureProperties;
    /**
     * The identifier of the User Hierarchy Structure.
     */
    readonly userHierarchyStructureArn?: string;
}
/**
 * Resource Type definition for AWS::Connect::UserHierarchyStructure
 */
export declare function getUserHierarchyStructureOutput(args: GetUserHierarchyStructureOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserHierarchyStructureResult>;
export interface GetUserHierarchyStructureOutputArgs {
    /**
     * The identifier of the User Hierarchy Structure.
     */
    userHierarchyStructureArn: pulumi.Input<string>;
}
