import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::DataBrew::Dataset.
 */
export declare function getDataset(args: GetDatasetArgs, opts?: pulumi.InvokeOptions): Promise<GetDatasetResult>;
export interface GetDatasetArgs {
    /**
     * Dataset name
     */
    name: string;
}
export interface GetDatasetResult {
    /**
     * Dataset format
     */
    readonly format?: enums.databrew.DatasetFormat;
    /**
     * Format options for dataset
     */
    readonly formatOptions?: outputs.databrew.DatasetFormatOptions;
    /**
     * Input
     */
    readonly input?: outputs.databrew.DatasetInput;
    /**
     * PathOptions
     */
    readonly pathOptions?: outputs.databrew.DatasetPathOptions;
    /**
     * Source type of the dataset
     */
    readonly source?: enums.databrew.DatasetSource;
    /**
     * Metadata tags that have been applied to the dataset.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataBrew::Dataset.
 */
export declare function getDatasetOutput(args: GetDatasetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDatasetResult>;
export interface GetDatasetOutputArgs {
    /**
     * Dataset name
     */
    name: pulumi.Input<string>;
}
