import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataBrew::Recipe.
 */
export declare function getRecipe(args: GetRecipeArgs, opts?: pulumi.InvokeOptions): Promise<GetRecipeResult>;
export interface GetRecipeArgs {
    /**
     * Recipe name
     */
    name: string;
}
export interface GetRecipeResult {
    /**
     * Description of the recipe
     */
    readonly description?: string;
    /**
     * A list of steps that are defined by the recipe.
     */
    readonly steps?: outputs.databrew.RecipeStep[];
    /**
     * Metadata tags that have been applied to the recipe.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataBrew::Recipe.
 */
export declare function getRecipeOutput(args: GetRecipeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRecipeResult>;
export interface GetRecipeOutputArgs {
    /**
     * Recipe name
     */
    name: pulumi.Input<string>;
}
