import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::DataZone::ProjectProfile Resource Type
 */
export declare function getProjectProfile(args: GetProjectProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetProjectProfileResult>;
export interface GetProjectProfileArgs {
    domainIdentifier: string;
    identifier: string;
}
export interface GetProjectProfileResult {
    /**
     * The timestamp of when the project profile was created.
     */
    readonly createdAt?: string;
    /**
     * The user who created the project profile.
     */
    readonly createdBy?: string;
    /**
     * The description of the project profile.
     */
    readonly description?: string;
    /**
     * The domain ID of the project profile.
     */
    readonly domainId?: string;
    /**
     * The domain unit ID of the project profile.
     */
    readonly domainUnitId?: string;
    readonly environmentConfigurations?: outputs.datazone.ProjectProfileEnvironmentConfiguration[];
    /**
     * The ID of the project profile.
     */
    readonly id?: string;
    readonly identifier?: string;
    /**
     * The timestamp at which a project profile was last updated.
     */
    readonly lastUpdatedAt?: string;
    /**
     * The name of a project profile.
     */
    readonly name?: string;
    /**
     * The status of a project profile.
     */
    readonly status?: enums.datazone.ProjectProfileStatus;
}
/**
 * Definition of AWS::DataZone::ProjectProfile Resource Type
 */
export declare function getProjectProfileOutput(args: GetProjectProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProjectProfileResult>;
export interface GetProjectProfileOutputArgs {
    domainIdentifier: pulumi.Input<string>;
    identifier: pulumi.Input<string>;
}
