import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::EgressOnlyInternetGateway
 */
export declare function getEgressOnlyInternetGateway(args: GetEgressOnlyInternetGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetEgressOnlyInternetGatewayResult>;
export interface GetEgressOnlyInternetGatewayArgs {
    /**
     * Service Generated ID of the EgressOnlyInternetGateway
     */
    id: string;
}
export interface GetEgressOnlyInternetGatewayResult {
    /**
     * Service Generated ID of the EgressOnlyInternetGateway
     */
    readonly id?: string;
    /**
     * Any tags assigned to the egress only internet gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::EgressOnlyInternetGateway
 */
export declare function getEgressOnlyInternetGatewayOutput(args: GetEgressOnlyInternetGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEgressOnlyInternetGatewayResult>;
export interface GetEgressOnlyInternetGatewayOutputArgs {
    /**
     * Service Generated ID of the EgressOnlyInternetGateway
     */
    id: pulumi.Input<string>;
}
