import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for Local Gateway Route Table Virtual Interface Group Association which describes a local gateway route table virtual interface group association for a local gateway.
 */
export declare function getLocalGatewayRouteTableVirtualInterfaceGroupAssociation(args: GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationResult>;
export interface GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationArgs {
    /**
     * The ID of the local gateway route table virtual interface group association.
     */
    localGatewayRouteTableVirtualInterfaceGroupAssociationId: string;
}
export interface GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationResult {
    /**
     * The ID of the local gateway.
     */
    readonly localGatewayId?: string;
    /**
     * The ARN of the local gateway route table.
     */
    readonly localGatewayRouteTableArn?: string;
    /**
     * The ID of the local gateway route table virtual interface group association.
     */
    readonly localGatewayRouteTableVirtualInterfaceGroupAssociationId?: string;
    /**
     * The owner of the local gateway route table virtual interface group association.
     */
    readonly ownerId?: string;
    /**
     * The state of the local gateway route table virtual interface group association.
     */
    readonly state?: string;
    /**
     * The tags for the local gateway route table virtual interface group association.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for Local Gateway Route Table Virtual Interface Group Association which describes a local gateway route table virtual interface group association for a local gateway.
 */
export declare function getLocalGatewayRouteTableVirtualInterfaceGroupAssociationOutput(args: GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationResult>;
export interface GetLocalGatewayRouteTableVirtualInterfaceGroupAssociationOutputArgs {
    /**
     * The ID of the local gateway route table virtual interface group association.
     */
    localGatewayRouteTableVirtualInterfaceGroupAssociationId: pulumi.Input<string>;
}
