import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for Local Gateway Route Table VPC Association which describes an association between a local gateway route table and a VPC.
 */
export declare function getLocalGatewayRouteTableVpcAssociation(args: GetLocalGatewayRouteTableVpcAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetLocalGatewayRouteTableVpcAssociationResult>;
export interface GetLocalGatewayRouteTableVpcAssociationArgs {
    /**
     * The ID of the association.
     */
    localGatewayRouteTableVpcAssociationId: string;
}
export interface GetLocalGatewayRouteTableVpcAssociationResult {
    /**
     * The ID of the local gateway.
     */
    readonly localGatewayId?: string;
    /**
     * The ID of the association.
     */
    readonly localGatewayRouteTableVpcAssociationId?: string;
    /**
     * The state of the association.
     */
    readonly state?: string;
    /**
     * The tags for the association.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for Local Gateway Route Table VPC Association which describes an association between a local gateway route table and a VPC.
 */
export declare function getLocalGatewayRouteTableVpcAssociationOutput(args: GetLocalGatewayRouteTableVpcAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocalGatewayRouteTableVpcAssociationResult>;
export interface GetLocalGatewayRouteTableVpcAssociationOutputArgs {
    /**
     * The ID of the association.
     */
    localGatewayRouteTableVpcAssociationId: pulumi.Input<string>;
}
