import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema of AWS::EC2::PrefixList Type
 */
export declare function getPrefixList(args: GetPrefixListArgs, opts?: pulumi.InvokeOptions): Promise<GetPrefixListResult>;
export interface GetPrefixListArgs {
    /**
     * Id of Prefix List.
     */
    prefixListId: string;
}
export interface GetPrefixListResult {
    /**
     * Ip Version of Prefix List.
     */
    readonly addressFamily?: enums.ec2.PrefixListAddressFamily;
    /**
     * The Amazon Resource Name (ARN) of the Prefix List.
     */
    readonly arn?: string;
    /**
     * Entries of Prefix List.
     */
    readonly entries?: outputs.ec2.PrefixListEntry[];
    /**
     * Max Entries of Prefix List.
     */
    readonly maxEntries?: number;
    /**
     * Owner Id of Prefix List.
     */
    readonly ownerId?: string;
    /**
     * Id of Prefix List.
     */
    readonly prefixListId?: string;
    /**
     * Name of Prefix List.
     */
    readonly prefixListName?: string;
    /**
     * Tags for Prefix List
     */
    readonly tags?: outputs.Tag[];
    /**
     * Version of Prefix List.
     */
    readonly version?: number;
}
/**
 * Resource schema of AWS::EC2::PrefixList Type
 */
export declare function getPrefixListOutput(args: GetPrefixListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPrefixListResult>;
export interface GetPrefixListOutputArgs {
    /**
     * Id of Prefix List.
     */
    prefixListId: pulumi.Input<string>;
}
