import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for for AWS::EC2::TrafficMirrorFilterRule
 */
export declare function getTrafficMirrorFilterRule(args: GetTrafficMirrorFilterRuleArgs, opts?: pulumi.InvokeOptions): Promise<GetTrafficMirrorFilterRuleResult>;
export interface GetTrafficMirrorFilterRuleArgs {
    /**
     * The ID of the Traffic Mirror Filter rule.
     */
    trafficMirrorFilterRuleId: string;
}
export interface GetTrafficMirrorFilterRuleResult {
    /**
     * The description of the Traffic Mirror Filter rule.
     */
    readonly description?: string;
    /**
     * The destination CIDR block to assign to the Traffic Mirror rule.
     */
    readonly destinationCidrBlock?: string;
    /**
     * The destination port range.
     */
    readonly destinationPortRange?: outputs.ec2.TrafficMirrorFilterRuleTrafficMirrorPortRange;
    /**
     * The number of protocol, for example 17 (UDP), to assign to the Traffic Mirror rule.
     */
    readonly protocol?: number;
    /**
     * The action to take on the filtered traffic (accept/reject).
     */
    readonly ruleAction?: string;
    /**
     * The number of the Traffic Mirror rule.
     */
    readonly ruleNumber?: number;
    /**
     * The source CIDR block to assign to the Traffic Mirror Filter rule.
     */
    readonly sourceCidrBlock?: string;
    /**
     * The source port range.
     */
    readonly sourcePortRange?: outputs.ec2.TrafficMirrorFilterRuleTrafficMirrorPortRange;
    /**
     * Any tags assigned to the Traffic Mirror Filter rule.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The direction of traffic (ingress/egress).
     */
    readonly trafficDirection?: string;
    /**
     * The ID of the Traffic Mirror Filter rule.
     */
    readonly trafficMirrorFilterRuleId?: string;
}
/**
 * Resource Type definition for for AWS::EC2::TrafficMirrorFilterRule
 */
export declare function getTrafficMirrorFilterRuleOutput(args: GetTrafficMirrorFilterRuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrafficMirrorFilterRuleResult>;
export interface GetTrafficMirrorFilterRuleOutputArgs {
    /**
     * The ID of the Traffic Mirror Filter rule.
     */
    trafficMirrorFilterRuleId: pulumi.Input<string>;
}
