import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::TransitGatewayVpcAttachment
 */
export declare function getTransitGatewayVpcAttachment(args: GetTransitGatewayVpcAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayVpcAttachmentResult>;
export interface GetTransitGatewayVpcAttachmentArgs {
    /**
     * The ID of the attachment.
     */
    id: string;
}
export interface GetTransitGatewayVpcAttachmentResult {
    /**
     * The ID of the attachment.
     */
    readonly id?: string;
    /**
     * The options for the transit gateway vpc attachment.
     */
    readonly options?: outputs.ec2.OptionsProperties;
    /**
     * The tags for the VPC attachment.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::TransitGatewayVpcAttachment
 */
export declare function getTransitGatewayVpcAttachmentOutput(args: GetTransitGatewayVpcAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayVpcAttachmentResult>;
export interface GetTransitGatewayVpcAttachmentOutputArgs {
    /**
     * The ID of the attachment.
     */
    id: pulumi.Input<string>;
}
