import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::VPCEndpointConnectionNotification
 */
export declare function getVpcEndpointConnectionNotification(args: GetVpcEndpointConnectionNotificationArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcEndpointConnectionNotificationResult>;
export interface GetVpcEndpointConnectionNotificationArgs {
    /**
     * VPC Endpoint Connection ID generated by service
     */
    vpcEndpointConnectionNotificationId: string;
}
export interface GetVpcEndpointConnectionNotificationResult {
    /**
     * The endpoint events for which to receive notifications.
     */
    readonly connectionEvents?: string[];
    /**
     * The ARN of the SNS topic for the notifications.
     */
    readonly connectionNotificationArn?: string;
    /**
     * VPC Endpoint Connection ID generated by service
     */
    readonly vpcEndpointConnectionNotificationId?: string;
}
/**
 * Resource Type definition for AWS::EC2::VPCEndpointConnectionNotification
 */
export declare function getVpcEndpointConnectionNotificationOutput(args: GetVpcEndpointConnectionNotificationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcEndpointConnectionNotificationResult>;
export interface GetVpcEndpointConnectionNotificationOutputArgs {
    /**
     * VPC Endpoint Connection ID generated by service
     */
    vpcEndpointConnectionNotificationId: pulumi.Input<string>;
}
