import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::ImageBuilder::Component
 */
export declare function getComponent(args: GetComponentArgs, opts?: pulumi.InvokeOptions): Promise<GetComponentResult>;
export interface GetComponentArgs {
    /**
     * The Amazon Resource Name (ARN) of the component.
     */
    arn: string;
}
export interface GetComponentResult {
    /**
     * The Amazon Resource Name (ARN) of the component.
     */
    readonly arn?: string;
    /**
     * The encryption status of the component.
     */
    readonly encrypted?: boolean;
    /**
     * The tags associated with the component.
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * The type of the component denotes whether the component is used to build the image or only to test it.
     */
    readonly type?: enums.imagebuilder.ComponentType;
}
/**
 * Resource schema for AWS::ImageBuilder::Component
 */
export declare function getComponentOutput(args: GetComponentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetComponentResult>;
export interface GetComponentOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the component.
     */
    arn: pulumi.Input<string>;
}
