import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::ImageBuilder::ContainerRecipe
 */
export declare function getContainerRecipe(args: GetContainerRecipeArgs, opts?: pulumi.InvokeOptions): Promise<GetContainerRecipeResult>;
export interface GetContainerRecipeArgs {
    /**
     * The Amazon Resource Name (ARN) of the container recipe.
     */
    arn: string;
}
export interface GetContainerRecipeResult {
    /**
     * The Amazon Resource Name (ARN) of the container recipe.
     */
    readonly arn?: string;
    /**
     * Tags that are attached to the container recipe.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Resource schema for AWS::ImageBuilder::ContainerRecipe
 */
export declare function getContainerRecipeOutput(args: GetContainerRecipeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContainerRecipeResult>;
export interface GetContainerRecipeOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the container recipe.
     */
    arn: pulumi.Input<string>;
}
