import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::ImageBuilder::Workflow
 */
export declare function getWorkflow(args: GetWorkflowArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkflowResult>;
export interface GetWorkflowArgs {
    /**
     * The Amazon Resource Name (ARN) of the workflow.
     */
    arn: string;
}
export interface GetWorkflowResult {
    /**
     * The Amazon Resource Name (ARN) of the workflow.
     */
    readonly arn?: string;
    /**
     * The tags associated with the workflow.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Resource schema for AWS::ImageBuilder::Workflow
 */
export declare function getWorkflowOutput(args: GetWorkflowOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkflowResult>;
export interface GetWorkflowOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the workflow.
     */
    arn: pulumi.Input<string>;
}
