import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Inspector::ResourceGroup
 */
export declare function getResourceGroup(args: GetResourceGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceGroupResult>;
export interface GetResourceGroupArgs {
    /**
     * The Amazon Resource Name (ARN) that specifies the resource group that is created.
     */
    arn: string;
}
export interface GetResourceGroupResult {
    /**
     * The Amazon Resource Name (ARN) that specifies the resource group that is created.
     */
    readonly arn?: string;
}
/**
 * Resource Type definition for AWS::Inspector::ResourceGroup
 */
export declare function getResourceGroupOutput(args: GetResourceGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceGroupResult>;
export interface GetResourceGroupOutputArgs {
    /**
     * The Amazon Resource Name (ARN) that specifies the resource group that is created.
     */
    arn: pulumi.Input<string>;
}
