"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bucket = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::Lightsail::Bucket
 */
class Bucket extends pulumi.CustomResource {
    /**
     * Get an existing Bucket resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Bucket(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Bucket.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Bucket.__pulumiType;
    }
    /**
     * Create a Bucket resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.bundleId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'bundleId'");
            }
            resourceInputs["accessRules"] = args ? args.accessRules : undefined;
            resourceInputs["bucketName"] = args ? args.bucketName : undefined;
            resourceInputs["bundleId"] = args ? args.bundleId : undefined;
            resourceInputs["objectVersioning"] = args ? args.objectVersioning : undefined;
            resourceInputs["readOnlyAccessAccounts"] = args ? args.readOnlyAccessAccounts : undefined;
            resourceInputs["resourcesReceivingAccess"] = args ? args.resourcesReceivingAccess : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["ableToUpdateBundle"] = undefined /*out*/;
            resourceInputs["bucketArn"] = undefined /*out*/;
            resourceInputs["url"] = undefined /*out*/;
        }
        else {
            resourceInputs["ableToUpdateBundle"] = undefined /*out*/;
            resourceInputs["accessRules"] = undefined /*out*/;
            resourceInputs["bucketArn"] = undefined /*out*/;
            resourceInputs["bucketName"] = undefined /*out*/;
            resourceInputs["bundleId"] = undefined /*out*/;
            resourceInputs["objectVersioning"] = undefined /*out*/;
            resourceInputs["readOnlyAccessAccounts"] = undefined /*out*/;
            resourceInputs["resourcesReceivingAccess"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["url"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["bucketName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Bucket.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Bucket = Bucket;
/** @internal */
Bucket.__pulumiType = 'aws-native:lightsail:Bucket';
//# sourceMappingURL=bucket.js.map