import * as pulumi from "@pulumi/pulumi";
/**
 * Represents a deployment resource of an AWS Mainframe Modernization (M2) application to a specified environment
 */
export declare function getDeployment(args: GetDeploymentArgs, opts?: pulumi.InvokeOptions): Promise<GetDeploymentResult>;
export interface GetDeploymentArgs {
    /**
     * The application ID.
     */
    applicationId: string;
}
export interface GetDeploymentResult {
    /**
     * The version number of the application to deploy
     */
    readonly applicationVersion?: number;
    /**
     * The deployment ID.
     */
    readonly deploymentId?: string;
    /**
     * The status of the deployment.
     */
    readonly status?: string;
}
/**
 * Represents a deployment resource of an AWS Mainframe Modernization (M2) application to a specified environment
 */
export declare function getDeploymentOutput(args: GetDeploymentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDeploymentResult>;
export interface GetDeploymentOutputArgs {
    /**
     * The application ID.
     */
    applicationId: pulumi.Input<string>;
}
