import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::MediaTailor::LiveSource Resource Type
 */
export declare function getLiveSource(args: GetLiveSourceArgs, opts?: pulumi.InvokeOptions): Promise<GetLiveSourceResult>;
export interface GetLiveSourceArgs {
    /**
     * The name that's used to refer to a live source.
     */
    liveSourceName: string;
    /**
     * The name of the source location.
     */
    sourceLocationName: string;
}
export interface GetLiveSourceResult {
    /**
     * <p>The ARN of the live source.</p>
     */
    readonly arn?: string;
    /**
     * <p>A list of HTTP package configuration parameters for this live source.</p>
     */
    readonly httpPackageConfigurations?: outputs.mediatailor.LiveSourceHttpPackageConfiguration[];
    /**
     * The tags to assign to the live source.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::MediaTailor::LiveSource Resource Type
 */
export declare function getLiveSourceOutput(args: GetLiveSourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLiveSourceResult>;
export interface GetLiveSourceOutputArgs {
    /**
     * The name that's used to refer to a live source.
     */
    liveSourceName: pulumi.Input<string>;
    /**
     * The name of the source location.
     */
    sourceLocationName: pulumi.Input<string>;
}
