import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::ConnectAttachment Resource Type Definition
 */
export declare function getConnectAttachment(args: GetConnectAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectAttachmentResult>;
export interface GetConnectAttachmentArgs {
    /**
     * The ID of the attachment.
     */
    attachmentId: string;
}
export interface GetConnectAttachmentResult {
    /**
     * The ID of the attachment.
     */
    readonly attachmentId?: string;
    /**
     * The policy rule number associated with the attachment.
     */
    readonly attachmentPolicyRuleNumber?: number;
    /**
     * The type of attachment.
     */
    readonly attachmentType?: string;
    /**
     * The ARN of a core network.
     */
    readonly coreNetworkArn?: string;
    /**
     * Creation time of the attachment.
     */
    readonly createdAt?: string;
    /**
     * The name of the network function group attachment.
     */
    readonly networkFunctionGroupName?: string;
    /**
     * The ID of the attachment account owner.
     */
    readonly ownerAccountId?: string;
    /**
     * The attachment to move from one network function group to another.
     */
    readonly proposedNetworkFunctionGroupChange?: outputs.networkmanager.ConnectAttachmentProposedNetworkFunctionGroupChange;
    /**
     * The attachment to move from one segment to another.
     */
    readonly proposedSegmentChange?: outputs.networkmanager.ConnectAttachmentProposedSegmentChange;
    /**
     * The attachment resource ARN.
     */
    readonly resourceArn?: string;
    /**
     * The name of the segment attachment.
     */
    readonly segmentName?: string;
    /**
     * State of the attachment.
     */
    readonly state?: string;
    /**
     * Tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Last update time of the attachment.
     */
    readonly updatedAt?: string;
}
/**
 * AWS::NetworkManager::ConnectAttachment Resource Type Definition
 */
export declare function getConnectAttachmentOutput(args: GetConnectAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectAttachmentResult>;
export interface GetConnectAttachmentOutputArgs {
    /**
     * The ID of the attachment.
     */
    attachmentId: pulumi.Input<string>;
}
