import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::CoreNetwork Resource Type Definition.
 */
export declare function getCoreNetwork(args: GetCoreNetworkArgs, opts?: pulumi.InvokeOptions): Promise<GetCoreNetworkResult>;
export interface GetCoreNetworkArgs {
    /**
     * The Id of core network
     */
    coreNetworkId: string;
}
export interface GetCoreNetworkResult {
    /**
     * The ARN (Amazon resource name) of core network
     */
    readonly coreNetworkArn?: string;
    /**
     * The Id of core network
     */
    readonly coreNetworkId?: string;
    /**
     * The creation time of core network
     */
    readonly createdAt?: string;
    /**
     * The description of core network
     */
    readonly description?: string;
    /**
     * The edges within a core network.
     */
    readonly edges?: outputs.networkmanager.CoreNetworkEdge[];
    /**
     * The network function groups within a core network.
     */
    readonly networkFunctionGroups?: outputs.networkmanager.CoreNetworkNetworkFunctionGroup[];
    /**
     * Owner of the core network
     */
    readonly ownerAccount?: string;
    /**
     * Live policy document for the core network, you must provide PolicyDocument in Json Format
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::NetworkManager::CoreNetwork` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
    /**
     * The segments within a core network.
     */
    readonly segments?: outputs.networkmanager.CoreNetworkSegment[];
    /**
     * The state of core network
     */
    readonly state?: string;
    /**
     * The tags for the global network.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * AWS::NetworkManager::CoreNetwork Resource Type Definition.
 */
export declare function getCoreNetworkOutput(args: GetCoreNetworkOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCoreNetworkResult>;
export interface GetCoreNetworkOutputArgs {
    /**
     * The Id of core network
     */
    coreNetworkId: pulumi.Input<string>;
}
