"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudAutonomousVmCluster = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::ODB::CloudAutonomousVmCluster resource creates a Cloud Autonomous VM Cluster
 */
class CloudAutonomousVmCluster extends pulumi.CustomResource {
    /**
     * Get an existing CloudAutonomousVmCluster resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new CloudAutonomousVmCluster(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of CloudAutonomousVmCluster.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === CloudAutonomousVmCluster.__pulumiType;
    }
    /**
     * Create a CloudAutonomousVmCluster resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["autonomousDataStorageSizeInTbs"] = args ? args.autonomousDataStorageSizeInTbs : undefined;
            resourceInputs["cloudExadataInfrastructureId"] = args ? args.cloudExadataInfrastructureId : undefined;
            resourceInputs["cpuCoreCountPerNode"] = args ? args.cpuCoreCountPerNode : undefined;
            resourceInputs["dbServers"] = args ? args.dbServers : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["displayName"] = args ? args.displayName : undefined;
            resourceInputs["isMtlsEnabledVmCluster"] = args ? args.isMtlsEnabledVmCluster : undefined;
            resourceInputs["licenseModel"] = args ? args.licenseModel : undefined;
            resourceInputs["maintenanceWindow"] = args ? args.maintenanceWindow : undefined;
            resourceInputs["memoryPerOracleComputeUnitInGbs"] = args ? args.memoryPerOracleComputeUnitInGbs : undefined;
            resourceInputs["odbNetworkId"] = args ? args.odbNetworkId : undefined;
            resourceInputs["scanListenerPortNonTls"] = args ? args.scanListenerPortNonTls : undefined;
            resourceInputs["scanListenerPortTls"] = args ? args.scanListenerPortTls : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["timeZone"] = args ? args.timeZone : undefined;
            resourceInputs["totalContainerDatabases"] = args ? args.totalContainerDatabases : undefined;
            resourceInputs["autonomousDataStoragePercentage"] = undefined /*out*/;
            resourceInputs["availableAutonomousDataStorageSizeInTbs"] = undefined /*out*/;
            resourceInputs["availableContainerDatabases"] = undefined /*out*/;
            resourceInputs["availableCpus"] = undefined /*out*/;
            resourceInputs["cloudAutonomousVmClusterArn"] = undefined /*out*/;
            resourceInputs["cloudAutonomousVmClusterId"] = undefined /*out*/;
            resourceInputs["computeModel"] = undefined /*out*/;
            resourceInputs["cpuCoreCount"] = undefined /*out*/;
            resourceInputs["cpuPercentage"] = undefined /*out*/;
            resourceInputs["dataStorageSizeInGbs"] = undefined /*out*/;
            resourceInputs["dataStorageSizeInTbs"] = undefined /*out*/;
            resourceInputs["dbNodeStorageSizeInGbs"] = undefined /*out*/;
            resourceInputs["domain"] = undefined /*out*/;
            resourceInputs["exadataStorageInTbsLowestScaledValue"] = undefined /*out*/;
            resourceInputs["hostname"] = undefined /*out*/;
            resourceInputs["maxAcdsLowestScaledValue"] = undefined /*out*/;
            resourceInputs["memorySizeInGbs"] = undefined /*out*/;
            resourceInputs["nodeCount"] = undefined /*out*/;
            resourceInputs["nonProvisionableAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["ociResourceAnchorName"] = undefined /*out*/;
            resourceInputs["ociUrl"] = undefined /*out*/;
            resourceInputs["ocid"] = undefined /*out*/;
            resourceInputs["provisionableAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["provisionedAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["provisionedCpus"] = undefined /*out*/;
            resourceInputs["reclaimableCpus"] = undefined /*out*/;
            resourceInputs["reservedCpus"] = undefined /*out*/;
            resourceInputs["shape"] = undefined /*out*/;
        }
        else {
            resourceInputs["autonomousDataStoragePercentage"] = undefined /*out*/;
            resourceInputs["autonomousDataStorageSizeInTbs"] = undefined /*out*/;
            resourceInputs["availableAutonomousDataStorageSizeInTbs"] = undefined /*out*/;
            resourceInputs["availableContainerDatabases"] = undefined /*out*/;
            resourceInputs["availableCpus"] = undefined /*out*/;
            resourceInputs["cloudAutonomousVmClusterArn"] = undefined /*out*/;
            resourceInputs["cloudAutonomousVmClusterId"] = undefined /*out*/;
            resourceInputs["cloudExadataInfrastructureId"] = undefined /*out*/;
            resourceInputs["computeModel"] = undefined /*out*/;
            resourceInputs["cpuCoreCount"] = undefined /*out*/;
            resourceInputs["cpuCoreCountPerNode"] = undefined /*out*/;
            resourceInputs["cpuPercentage"] = undefined /*out*/;
            resourceInputs["dataStorageSizeInGbs"] = undefined /*out*/;
            resourceInputs["dataStorageSizeInTbs"] = undefined /*out*/;
            resourceInputs["dbNodeStorageSizeInGbs"] = undefined /*out*/;
            resourceInputs["dbServers"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["displayName"] = undefined /*out*/;
            resourceInputs["domain"] = undefined /*out*/;
            resourceInputs["exadataStorageInTbsLowestScaledValue"] = undefined /*out*/;
            resourceInputs["hostname"] = undefined /*out*/;
            resourceInputs["isMtlsEnabledVmCluster"] = undefined /*out*/;
            resourceInputs["licenseModel"] = undefined /*out*/;
            resourceInputs["maintenanceWindow"] = undefined /*out*/;
            resourceInputs["maxAcdsLowestScaledValue"] = undefined /*out*/;
            resourceInputs["memoryPerOracleComputeUnitInGbs"] = undefined /*out*/;
            resourceInputs["memorySizeInGbs"] = undefined /*out*/;
            resourceInputs["nodeCount"] = undefined /*out*/;
            resourceInputs["nonProvisionableAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["ociResourceAnchorName"] = undefined /*out*/;
            resourceInputs["ociUrl"] = undefined /*out*/;
            resourceInputs["ocid"] = undefined /*out*/;
            resourceInputs["odbNetworkId"] = undefined /*out*/;
            resourceInputs["provisionableAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["provisionedAutonomousContainerDatabases"] = undefined /*out*/;
            resourceInputs["provisionedCpus"] = undefined /*out*/;
            resourceInputs["reclaimableCpus"] = undefined /*out*/;
            resourceInputs["reservedCpus"] = undefined /*out*/;
            resourceInputs["scanListenerPortNonTls"] = undefined /*out*/;
            resourceInputs["scanListenerPortTls"] = undefined /*out*/;
            resourceInputs["shape"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["timeZone"] = undefined /*out*/;
            resourceInputs["totalContainerDatabases"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["autonomousDataStorageSizeInTbs", "cloudExadataInfrastructureId", "cpuCoreCountPerNode", "dbServers[*]", "description", "displayName", "isMtlsEnabledVmCluster", "licenseModel", "maintenanceWindow", "memoryPerOracleComputeUnitInGbs", "odbNetworkId", "scanListenerPortNonTls", "scanListenerPortTls", "timeZone", "totalContainerDatabases"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(CloudAutonomousVmCluster.__pulumiType, name, resourceInputs, opts);
    }
}
exports.CloudAutonomousVmCluster = CloudAutonomousVmCluster;
/** @internal */
CloudAutonomousVmCluster.__pulumiType = 'aws-native:odb:CloudAutonomousVmCluster';
//# sourceMappingURL=cloudAutonomousVmCluster.js.map