import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Omics::ReferenceStore Resource Type
 */
export declare function getReferenceStore(args: GetReferenceStoreArgs, opts?: pulumi.InvokeOptions): Promise<GetReferenceStoreResult>;
export interface GetReferenceStoreArgs {
    /**
     * The store's ID.
     */
    referenceStoreId: string;
}
export interface GetReferenceStoreResult {
    /**
     * The store's ARN.
     */
    readonly arn?: string;
    /**
     * When the store was created.
     */
    readonly creationTime?: string;
    /**
     * The store's ID.
     */
    readonly referenceStoreId?: string;
}
/**
 * Definition of AWS::Omics::ReferenceStore Resource Type
 */
export declare function getReferenceStoreOutput(args: GetReferenceStoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetReferenceStoreResult>;
export interface GetReferenceStoreOutputArgs {
    /**
     * The store's ID.
     */
    referenceStoreId: pulumi.Input<string>;
}
