import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Omics::Workflow Resource Type
 */
export declare function getWorkflow(args: GetWorkflowArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkflowResult>;
export interface GetWorkflowArgs {
    /**
     * The workflow's ID.
     */
    id: string;
}
export interface GetWorkflowResult {
    /**
     * The ARN for the workflow.
     */
    readonly arn?: string;
    /**
     * When the workflow was created.
     */
    readonly creationTime?: string;
    /**
     * The parameter's description.
     */
    readonly description?: string;
    /**
     * The workflow's ID.
     */
    readonly id?: string;
    /**
     * The workflow's name.
     */
    readonly name?: string;
    /**
     * The workflow's status.
     */
    readonly status?: enums.omics.WorkflowStatus;
    readonly storageType?: enums.omics.WorkflowStorageType;
    /**
     * Tags for the workflow.
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * The workflow's type.
     */
    readonly type?: enums.omics.WorkflowType;
    readonly uuid?: string;
}
/**
 * Definition of AWS::Omics::Workflow Resource Type
 */
export declare function getWorkflowOutput(args: GetWorkflowOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkflowResult>;
export interface GetWorkflowOutputArgs {
    /**
     * The workflow's ID.
     */
    id: pulumi.Input<string>;
}
