import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::RedshiftServerless::Snapshot Resource Type.
 */
export declare function getSnapshot(args: GetSnapshotArgs, opts?: pulumi.InvokeOptions): Promise<GetSnapshotResult>;
export interface GetSnapshotArgs {
    /**
     * The name of the snapshot.
     */
    snapshotName: string;
}
export interface GetSnapshotResult {
    /**
     * The owner account of the snapshot.
     */
    readonly ownerAccount?: string;
    /**
     * The retention period of the snapshot.
     */
    readonly retentionPeriod?: number;
    /**
     * Definition for snapshot resource
     */
    readonly snapshot?: outputs.redshiftserverless.Snapshot;
}
/**
 * Resource Type definition for AWS::RedshiftServerless::Snapshot Resource Type.
 */
export declare function getSnapshotOutput(args: GetSnapshotOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSnapshotResult>;
export interface GetSnapshotOutputArgs {
    /**
     * The name of the snapshot.
     */
    snapshotName: pulumi.Input<string>;
}
