import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Route53Profiles::ProfileResourceAssociation
 */
export declare class ProfileResourceAssociation extends pulumi.CustomResource {
    /**
     * Get an existing ProfileResourceAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ProfileResourceAssociation;
    /**
     * Returns true if the given object is an instance of ProfileResourceAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ProfileResourceAssociation;
    /**
     * Primary Identifier for  Profile Resource Association
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * The name of an association between the  Profile and resource.
     */
    readonly name: pulumi.Output<string>;
    /**
     * The ID of the  profile that you associated the resource to that is specified by ResourceArn.
     */
    readonly profileId: pulumi.Output<string>;
    /**
     * The arn of the resource that you associated to the  Profile.
     */
    readonly resourceArn: pulumi.Output<string>;
    /**
     * A JSON-formatted string with key-value pairs specifying the properties of the associated resource.
     */
    readonly resourceProperties: pulumi.Output<string | undefined>;
    /**
     * The type of the resource associated to the  Profile.
     */
    readonly resourceType: pulumi.Output<string>;
    /**
     * Create a ProfileResourceAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ProfileResourceAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ProfileResourceAssociation resource.
 */
export interface ProfileResourceAssociationArgs {
    /**
     * The name of an association between the  Profile and resource.
     */
    name?: pulumi.Input<string>;
    /**
     * The ID of the  profile that you associated the resource to that is specified by ResourceArn.
     */
    profileId: pulumi.Input<string>;
    /**
     * The arn of the resource that you associated to the  Profile.
     */
    resourceArn: pulumi.Input<string>;
    /**
     * A JSON-formatted string with key-value pairs specifying the properties of the associated resource.
     */
    resourceProperties?: pulumi.Input<string>;
}
