"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::S3Tables::Table
 */
class Table extends pulumi.CustomResource {
    /**
     * Get an existing Table resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Table(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Table.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Table.__pulumiType;
    }
    /**
     * Create a Table resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.namespace === undefined) && !opts.urn) {
                throw new Error("Missing required property 'namespace'");
            }
            if ((!args || args.openTableFormat === undefined) && !opts.urn) {
                throw new Error("Missing required property 'openTableFormat'");
            }
            if ((!args || args.tableBucketArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'tableBucketArn'");
            }
            resourceInputs["compaction"] = args ? args.compaction : undefined;
            resourceInputs["icebergMetadata"] = args ? args.icebergMetadata : undefined;
            resourceInputs["namespace"] = args ? args.namespace : undefined;
            resourceInputs["openTableFormat"] = args ? args.openTableFormat : undefined;
            resourceInputs["snapshotManagement"] = args ? args.snapshotManagement : undefined;
            resourceInputs["tableBucketArn"] = args ? args.tableBucketArn : undefined;
            resourceInputs["tableName"] = args ? args.tableName : undefined;
            resourceInputs["withoutMetadata"] = args ? args.withoutMetadata : undefined;
            resourceInputs["tableArn"] = undefined /*out*/;
            resourceInputs["versionToken"] = undefined /*out*/;
            resourceInputs["warehouseLocation"] = undefined /*out*/;
        }
        else {
            resourceInputs["compaction"] = undefined /*out*/;
            resourceInputs["icebergMetadata"] = undefined /*out*/;
            resourceInputs["namespace"] = undefined /*out*/;
            resourceInputs["openTableFormat"] = undefined /*out*/;
            resourceInputs["snapshotManagement"] = undefined /*out*/;
            resourceInputs["tableArn"] = undefined /*out*/;
            resourceInputs["tableBucketArn"] = undefined /*out*/;
            resourceInputs["tableName"] = undefined /*out*/;
            resourceInputs["versionToken"] = undefined /*out*/;
            resourceInputs["warehouseLocation"] = undefined /*out*/;
            resourceInputs["withoutMetadata"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["icebergMetadata", "openTableFormat", "tableBucketArn", "withoutMetadata"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Table.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Table = Table;
/** @internal */
Table.__pulumiType = 'aws-native:s3tables:Table';
//# sourceMappingURL=table.js.map