import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SecretsManager::ResourcePolicy
 */
export declare function getResourcePolicy(args: GetResourcePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetResourcePolicyResult>;
export interface GetResourcePolicyArgs {
    /**
     * The Arn of the secret.
     */
    id: string;
}
export interface GetResourcePolicyResult {
    /**
     * The Arn of the secret.
     */
    readonly id?: string;
    /**
     * A JSON-formatted string for an AWS resource-based policy.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::SecretsManager::ResourcePolicy` for more information about the expected schema for this property.
     */
    readonly resourcePolicy?: any;
}
/**
 * Resource Type definition for AWS::SecretsManager::ResourcePolicy
 */
export declare function getResourcePolicyOutput(args: GetResourcePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourcePolicyResult>;
export interface GetResourcePolicyOutputArgs {
    /**
     * The Arn of the secret.
     */
    id: pulumi.Input<string>;
}
