"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregatorV2 = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::SecurityHub::AggregatorV2 resource represents the AWS Security Hub AggregatorV2 in your account. One aggregatorv2 resource is created for each account in non opt-in region in which you configure region linking mode.
 */
class AggregatorV2 extends pulumi.CustomResource {
    /**
     * Get an existing AggregatorV2 resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new AggregatorV2(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of AggregatorV2.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === AggregatorV2.__pulumiType;
    }
    /**
     * Create a AggregatorV2 resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.linkedRegions === undefined) && !opts.urn) {
                throw new Error("Missing required property 'linkedRegions'");
            }
            if ((!args || args.regionLinkingMode === undefined) && !opts.urn) {
                throw new Error("Missing required property 'regionLinkingMode'");
            }
            resourceInputs["linkedRegions"] = args ? args.linkedRegions : undefined;
            resourceInputs["regionLinkingMode"] = args ? args.regionLinkingMode : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["aggregationRegion"] = undefined /*out*/;
            resourceInputs["aggregatorV2Arn"] = undefined /*out*/;
        }
        else {
            resourceInputs["aggregationRegion"] = undefined /*out*/;
            resourceInputs["aggregatorV2Arn"] = undefined /*out*/;
            resourceInputs["linkedRegions"] = undefined /*out*/;
            resourceInputs["regionLinkingMode"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(AggregatorV2.__pulumiType, name, resourceInputs, opts);
    }
}
exports.AggregatorV2 = AggregatorV2;
/** @internal */
AggregatorV2.__pulumiType = 'aws-native:securityhub:AggregatorV2';
//# sourceMappingURL=aggregatorV2.js.map