import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource type definition for AWS::SSMIncidents::ReplicationSet
 */
export declare function getReplicationSet(args: GetReplicationSetArgs, opts?: pulumi.InvokeOptions): Promise<GetReplicationSetResult>;
export interface GetReplicationSetArgs {
    /**
     * The ARN of the ReplicationSet.
     */
    arn: string;
}
export interface GetReplicationSetResult {
    /**
     * The ARN of the ReplicationSet.
     */
    readonly arn?: string;
    /**
     * Determines if the replication set deletion protection is enabled or not. If deletion protection is enabled, you can't delete the last Region in the replication set.
     */
    readonly deletionProtected?: boolean;
    /**
     * The ReplicationSet configuration.
     */
    readonly regions?: outputs.ssmincidents.ReplicationSetReplicationRegion[];
    /**
     * The tags to apply to the replication set.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource type definition for AWS::SSMIncidents::ReplicationSet
 */
export declare function getReplicationSetOutput(args: GetReplicationSetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetReplicationSetResult>;
export interface GetReplicationSetOutputArgs {
    /**
     * The ARN of the ReplicationSet.
     */
    arn: pulumi.Input<string>;
}
