import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for Activity
 */
export declare function getActivity(args: GetActivityArgs, opts?: pulumi.InvokeOptions): Promise<GetActivityResult>;
export interface GetActivityArgs {
    /**
     * Returns the ARN of the resource.
     */
    arn: string;
}
export interface GetActivityResult {
    /**
     * Returns the ARN of the resource.
     */
    readonly arn?: string;
    /**
     * The list of tags to add to a resource.
     *
     * Tags may only contain Unicode letters, digits, white space, or these symbols: `_ . : / = + - @` .
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for Activity
 */
export declare function getActivityOutput(args: GetActivityOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetActivityResult>;
export interface GetActivityOutputArgs {
    /**
     * Returns the ARN of the resource.
     */
    arn: pulumi.Input<string>;
}
