import * as pulumi from "@pulumi/pulumi";
/**
 * An AWS Support App resource that creates, updates, reads, and deletes a customer's account alias.
 */
export declare function getAccountAlias(args: GetAccountAliasArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountAliasResult>;
export interface GetAccountAliasArgs {
    /**
     * Unique identifier representing an alias tied to an account
     */
    accountAliasResourceId: string;
}
export interface GetAccountAliasResult {
    /**
     * An account alias associated with a customer's account.
     */
    readonly accountAlias?: string;
    /**
     * Unique identifier representing an alias tied to an account
     */
    readonly accountAliasResourceId?: string;
}
/**
 * An AWS Support App resource that creates, updates, reads, and deletes a customer's account alias.
 */
export declare function getAccountAliasOutput(args: GetAccountAliasOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountAliasResult>;
export interface GetAccountAliasOutputArgs {
    /**
     * Unique identifier representing an alias tied to an account
     */
    accountAliasResourceId: pulumi.Input<string>;
}
