export declare const AutoScalingGroupAvailabilityZoneDistributionCapacityDistributionStrategy: {
    readonly BalancedBestEffort: "balanced-best-effort";
    readonly BalancedOnly: "balanced-only";
};
/**
 * If launches fail in an Availability Zone, the following strategies are available. The default is ``balanced-best-effort``.
 *   +  ``balanced-only`` - If launches fail in an Availability Zone, Auto Scaling will continue to attempt to launch in the unhealthy zone to preserve a balanced distribution.
 *   +  ``balanced-best-effort`` - If launches fail in an Availability Zone, Auto Scaling will attempt to launch in another healthy Availability Zone instead.
 */
export type AutoScalingGroupAvailabilityZoneDistributionCapacityDistributionStrategy = (typeof AutoScalingGroupAvailabilityZoneDistributionCapacityDistributionStrategy)[keyof typeof AutoScalingGroupAvailabilityZoneDistributionCapacityDistributionStrategy];
export declare const AutoScalingGroupAvailabilityZoneImpairmentPolicyImpairedZoneHealthCheckBehavior: {
    readonly IgnoreUnhealthy: "IgnoreUnhealthy";
    readonly ReplaceUnhealthy: "ReplaceUnhealthy";
};
/**
 * Specifies the health check behavior for the impaired Availability Zone in an active zonal shift. If you select ``Replace unhealthy``, instances that appear unhealthy will be replaced in all Availability Zones. If you select ``Ignore unhealthy``, instances will not be replaced in the Availability Zone with the active zonal shift. For more information, see [Auto Scaling group zonal shift](https://docs.aws.amazon.com/autoscaling/ec2/userguide/ec2-auto-scaling-zonal-shift.html) in the *Amazon EC2 Auto Scaling User Guide*.
 */
export type AutoScalingGroupAvailabilityZoneImpairmentPolicyImpairedZoneHealthCheckBehavior = (typeof AutoScalingGroupAvailabilityZoneImpairmentPolicyImpairedZoneHealthCheckBehavior)[keyof typeof AutoScalingGroupAvailabilityZoneImpairmentPolicyImpairedZoneHealthCheckBehavior];
