export declare const GlobalTableKinesisStreamSpecificationApproximateCreationDateTimePrecision: {
    readonly Microsecond: "MICROSECOND";
    readonly Millisecond: "MILLISECOND";
};
/**
 * The precision for the time and date that the stream was created.
 */
export type GlobalTableKinesisStreamSpecificationApproximateCreationDateTimePrecision = (typeof GlobalTableKinesisStreamSpecificationApproximateCreationDateTimePrecision)[keyof typeof GlobalTableKinesisStreamSpecificationApproximateCreationDateTimePrecision];
export declare const GlobalTableMultiRegionConsistency: {
    readonly Eventual: "EVENTUAL";
    readonly Strong: "STRONG";
};
/**
 * Specifies the consistency mode for a new global table.
 *
 * You can specify one of the following consistency modes:
 *
 * - `EVENTUAL` : Configures a new global table for multi-Region eventual consistency (MREC).
 * - `STRONG` : Configures a new global table for multi-Region strong consistency (MRSC).
 *
 * If you don't specify this field, the global table consistency mode defaults to `EVENTUAL` . For more information about global tables consistency modes, see [Consistency modes](https://docs.aws.amazon.com/V2globaltables_HowItWorks.html#V2globaltables_HowItWorks.consistency-modes) in DynamoDB developer guide.
 */
export type GlobalTableMultiRegionConsistency = (typeof GlobalTableMultiRegionConsistency)[keyof typeof GlobalTableMultiRegionConsistency];
export declare const TableKinesisStreamSpecificationApproximateCreationDateTimePrecision: {
    readonly Microsecond: "MICROSECOND";
    readonly Millisecond: "MILLISECOND";
};
/**
 * The precision for the time and date that the stream was created.
 */
export type TableKinesisStreamSpecificationApproximateCreationDateTimePrecision = (typeof TableKinesisStreamSpecificationApproximateCreationDateTimePrecision)[keyof typeof TableKinesisStreamSpecificationApproximateCreationDateTimePrecision];
