export declare const VolumeAssociationDisassociateMode: {
    readonly Force: "FORCE";
    readonly NoForce: "NO_FORCE";
};
/**
 * Mode to use when disassociating the volume
 */
export type VolumeAssociationDisassociateMode = (typeof VolumeAssociationDisassociateMode)[keyof typeof VolumeAssociationDisassociateMode];
export declare const VolumeTagSpecificationResourceType: {
    readonly Instance: "instance";
    readonly Volume: "volume";
    readonly SpotInstancesRequest: "spot-instances-request";
    readonly NetworkInterface: "network-interface";
};
export type VolumeTagSpecificationResourceType = (typeof VolumeTagSpecificationResourceType)[keyof typeof VolumeTagSpecificationResourceType];
export declare const VolumeType: {
    readonly Standard: "standard";
    readonly Io1: "io1";
    readonly Io2: "io2";
    readonly Gp2: "gp2";
    readonly Sc1: "sc1";
    readonly St1: "st1";
    readonly Gp3: "gp3";
};
/**
 * The volume type
 */
export type VolumeType = (typeof VolumeType)[keyof typeof VolumeType];
export declare const WorkspaceInstanceCreditSpecificationRequestCpuCredits: {
    readonly Standard: "standard";
    readonly Unlimited: "unlimited";
};
export type WorkspaceInstanceCreditSpecificationRequestCpuCredits = (typeof WorkspaceInstanceCreditSpecificationRequestCpuCredits)[keyof typeof WorkspaceInstanceCreditSpecificationRequestCpuCredits];
export declare const WorkspaceInstanceEbsBlockDeviceVolumeType: {
    readonly Standard: "standard";
    readonly Io1: "io1";
    readonly Io2: "io2";
    readonly Gp2: "gp2";
    readonly Sc1: "sc1";
    readonly St1: "st1";
    readonly Gp3: "gp3";
};
export type WorkspaceInstanceEbsBlockDeviceVolumeType = (typeof WorkspaceInstanceEbsBlockDeviceVolumeType)[keyof typeof WorkspaceInstanceEbsBlockDeviceVolumeType];
export declare const WorkspaceInstanceInstanceMaintenanceOptionsRequestAutoRecovery: {
    readonly Disabled: "disabled";
    readonly Default: "default";
};
export type WorkspaceInstanceInstanceMaintenanceOptionsRequestAutoRecovery = (typeof WorkspaceInstanceInstanceMaintenanceOptionsRequestAutoRecovery)[keyof typeof WorkspaceInstanceInstanceMaintenanceOptionsRequestAutoRecovery];
export declare const WorkspaceInstanceInstanceMetadataOptionsRequestHttpEndpoint: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
export type WorkspaceInstanceInstanceMetadataOptionsRequestHttpEndpoint = (typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpEndpoint)[keyof typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpEndpoint];
export declare const WorkspaceInstanceInstanceMetadataOptionsRequestHttpProtocolIpv6: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
export type WorkspaceInstanceInstanceMetadataOptionsRequestHttpProtocolIpv6 = (typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpProtocolIpv6)[keyof typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpProtocolIpv6];
export declare const WorkspaceInstanceInstanceMetadataOptionsRequestHttpTokens: {
    readonly Optional: "optional";
    readonly Required: "required";
};
export type WorkspaceInstanceInstanceMetadataOptionsRequestHttpTokens = (typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpTokens)[keyof typeof WorkspaceInstanceInstanceMetadataOptionsRequestHttpTokens];
export declare const WorkspaceInstanceInstanceMetadataOptionsRequestInstanceMetadataTags: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
export type WorkspaceInstanceInstanceMetadataOptionsRequestInstanceMetadataTags = (typeof WorkspaceInstanceInstanceMetadataOptionsRequestInstanceMetadataTags)[keyof typeof WorkspaceInstanceInstanceMetadataOptionsRequestInstanceMetadataTags];
export declare const WorkspaceInstanceInstanceNetworkPerformanceOptionsRequestBandwidthWeighting: {
    readonly Default: "default";
    readonly Vpc1: "vpc-1";
    readonly Ebs1: "ebs-1";
};
export type WorkspaceInstanceInstanceNetworkPerformanceOptionsRequestBandwidthWeighting = (typeof WorkspaceInstanceInstanceNetworkPerformanceOptionsRequestBandwidthWeighting)[keyof typeof WorkspaceInstanceInstanceNetworkPerformanceOptionsRequestBandwidthWeighting];
export declare const WorkspaceInstancePlacementTenancy: {
    readonly Default: "default";
    readonly Dedicated: "dedicated";
    readonly Host: "host";
};
export type WorkspaceInstancePlacementTenancy = (typeof WorkspaceInstancePlacementTenancy)[keyof typeof WorkspaceInstancePlacementTenancy];
export declare const WorkspaceInstancePrivateDnsNameOptionsRequestHostnameType: {
    readonly IpName: "ip-name";
    readonly ResourceName: "resource-name";
};
export type WorkspaceInstancePrivateDnsNameOptionsRequestHostnameType = (typeof WorkspaceInstancePrivateDnsNameOptionsRequestHostnameType)[keyof typeof WorkspaceInstancePrivateDnsNameOptionsRequestHostnameType];
export declare const WorkspaceInstanceProvisionState: {
    readonly Allocating: "ALLOCATING";
    readonly Allocated: "ALLOCATED";
    readonly Deallocating: "DEALLOCATING";
    readonly Deallocated: "DEALLOCATED";
    readonly ErrorAllocating: "ERROR_ALLOCATING";
    readonly ErrorDeallocating: "ERROR_DEALLOCATING";
};
/**
 * The current state of the workspace instance
 */
export type WorkspaceInstanceProvisionState = (typeof WorkspaceInstanceProvisionState)[keyof typeof WorkspaceInstanceProvisionState];
export declare const WorkspaceInstanceTagSpecificationResourceType: {
    readonly Instance: "instance";
    readonly Volume: "volume";
    readonly SpotInstancesRequest: "spot-instances-request";
    readonly NetworkInterface: "network-interface";
};
export type WorkspaceInstanceTagSpecificationResourceType = (typeof WorkspaceInstanceTagSpecificationResourceType)[keyof typeof WorkspaceInstanceTagSpecificationResourceType];
