import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::WorkspacesInstances::WorkspaceInstance
 */
export declare function getWorkspaceInstance(args: GetWorkspaceInstanceArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkspaceInstanceResult>;
export interface GetWorkspaceInstanceArgs {
    /**
     * Unique identifier for the workspace instance
     */
    workspaceInstanceId: string;
}
export interface GetWorkspaceInstanceResult {
    readonly ec2ManagedInstance?: outputs.workspacesinstances.WorkspaceInstanceEc2ManagedInstance;
    /**
     * The current state of the workspace instance
     */
    readonly provisionState?: enums.workspacesinstances.WorkspaceInstanceProvisionState;
    readonly tags?: outputs.Tag[];
    /**
     * Unique identifier for the workspace instance
     */
    readonly workspaceInstanceId?: string;
}
/**
 * Resource Type definition for AWS::WorkspacesInstances::WorkspaceInstance
 */
export declare function getWorkspaceInstanceOutput(args: GetWorkspaceInstanceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkspaceInstanceResult>;
export interface GetWorkspaceInstanceOutputArgs {
    /**
     * Unique identifier for the workspace instance
     */
    workspaceInstanceId: pulumi.Input<string>;
}
